NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::DxfdwgImporter Class Reference

Represents a NXOpen::DxfdwgImporter to be used when importing the DXF/DWG Data This class is created using NXOpen::DexManager . More...

Inheritance diagram for NXOpen::DxfdwgImporter:
NXOpen::DexBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AspectRatioOptions { AspectRatioOptionsAutomaticCalculation, AspectRatioOptionsUseSameAsACADWidthFactor, AspectRatioOptionsUseValueSpecifiedInMappingFile, AspectRatioOptionsScaleACADWidthFactorWithSpecifiedValue }
 NX Aspect ratio calculation options. More...
 
enum  ConvLayoutsAs { ConvLayoutsAsAll, ConvLayoutsAsSelectedInPreview }
 Convert latouts option. More...
 
enum  FacetImportAs { FacetImportAsJt, FacetImportAsConvergent }
 DXFDWG Facet Import options. More...
 
enum  ImportBlocksAs { ImportBlocksAsGroup, ImportBlocksAsCustomSymbol, ImportBlocksAsPart, ImportBlocksAsNX2DComponent }
 Import Blocks as option option. More...
 
enum  ImportCurvesAs { ImportCurvesAsSketchCurves, ImportCurvesAsCurves }
 Import curves as option. More...
 
enum  ImportDimensionsAs { ImportDimensionsAsReal, ImportDimensionsAsGroup }
 Import Dimensions as option option. More...
 
enum  ImportPolylinesAs { ImportPolylinesAsSplines, ImportPolylinesAsArcLines }
 Import Polylines as option. More...
 
enum  ImportToEnum { ImportToEnumWork, ImportToEnumNew }
 Import To option. More...
 
enum  ProcessingOrderAs { ProcessingOrderAsAlphabetical, ProcessingOrderAsObjectCount }
 Processing Oder of non numeric layers. More...
 
enum  SendLayoutsAs { SendLayoutsAsImportedView, SendLayoutsAsDrawingView }
 Send Layouts data to option. More...
 
enum  SendModelDataAs { SendModelDataAsModeling, SendModelDataAsDrawingView, SendModelDataAsDrawingSheet }
 Send Model data to option. More...
 
enum  UnitsEnum { UnitsEnumSameAsTemplate, UnitsEnumMetric, UnitsEnumEnglish }
 Import To option. More...
 
enum  WorkflowAs { WorkflowAsDrawing, WorkflowAsThreeD }
 DXFDWG Import Workflow options. More...
 

Public Member Functions

NXString AcadLayoutsToImport ()
 Returns the AcadLayoutsToImport command - generates a list of ACAD layouts
Created in NX8.0.0. More...
 
NXOpen::DxfdwgImporter::AspectRatioOptions AspectRatioOption ()
 Returns the autocad aspect ratio calculation method - this will decide the NX Aspect ratio method to be used. More...
 
bool AvoidUsedNXLayers ()
 Returns the AvoidUsedNXLayers command - if set to true, the destination part layers will not be used
Created in NX8.0.0. More...
 
bool ConvLayoutData ()
 Returns the Import Layout data command - if set to true then Layout data will be imported
Created in NX8.0.0. More...
 
NXOpen::DxfdwgImporter::ConvLayoutsAs ConvLayouts ()
 Returns the ConvLayouts command - this will determine if all or selected layouts are translated
Created in NX8.0.0. More...
 
bool ConvModelData ()
 Returns the Import model data command - if set to true then Model data will be imported
Created in NX8.0.0. More...
 
NXString CrossHatchMappingFile ()
 Returns the CrossHatchMappingFile command - definition file for cross hatch mapping
Created in NX8.0.0. More...
 
int DestForUnselectedLayer ()
 Returns the DestForUnselectedLayer command - number of destination layer
Created in NX8.0.0. More...
 
NXOpen::DxfdwgImporter::FacetImportAs FacetImport ()
 Returns the DXFDWG Facet Import Option - set import Face3D entities option as either JT facets or Convergent bodies
Created in NX12.0.0. More...
 
bool FileOpenFlag ()
 Returns the FileOpenFlag command - should be set to false if doing file import
Created in NX6.0.0. More...
 
bool HealBodies ()
 Returns the HealBodies command - if set to true then healing will be attempted on 3D solids
Created in NX11.0.0. More...
 
NXOpen::DxfdwgImporter::ImportBlocksAs ImportBlockType ()
 Returns the ImportBlockType command - import ACAD Blocks as a group or as a custom symbol
Created in NX8.0.0. More...
 
NXOpen::DxfdwgImporter::ImportCurvesAs ImportCurvesType ()
 Returns the ImportCurvesType command - When model data is imported on drawing sheet, this can be set in order to sketch a curve or many curves
Created in NX8.0.0. More...
 
NXOpen::DxfdwgImporter::ImportDimensionsAs ImportDimensionType ()
 Returns the ImportDimensionType command - import ACAD dimensions as real dimensions or as group data
Created in NX8.0.0. More...
 
NXOpen::DxfdwgImporter::ImportPolylinesAs ImportPolylineTo ()
 Returns the ImportPolylineTo command - this will determine if polylines will be imported as splines or as lines/arcs. More...
 
NXOpen::DxfdwgImporter::ImportToEnum ImportTo ()
 Returns the ImportTo command - this option will determine the destination for imported autocad file. More...
 
bool ImportToTeamcenter ()
 Returns the ImportToTeamcenter command - if set to true then assembly will be imported into Teamcenter
Created in NX7.0.0. More...
 
NXString InputFile ()
 Returns the InputFile command - name of a file which is being imported
Created in NX6.0.0. More...
 
NXString LineFontMappingFile ()
 Returns the LineFontMappingFile command - definition file for line font mapping
Created in NX8.0.0. More...
 
double ModelScaleFactor ()
 Returns the model data scale factor - The scale factor for scaling the model data during import
Created in NX11.0.0. More...
 
bool Optimize ()
 Returns the Optimize command - if set to true then attempt will be made to optimize 3D geometry
Created in NX11.0.0. More...
 
NXString OutputFile ()
 Returns the OutputFile command - if autocad file is imported to the new part then this name will be used to write the output. More...
 
NXOpen::DxfdwgImporter::ProcessingOrderAs ProcessingOrder ()
 Returns the ProcessingOrder command - this option will decide processing order of AutoCAD layers
Created in NX8.0.0. More...
 
bool ReadLayerNumFromPrefix ()
 Returns the ReadLayerNumFromPrefix command - if set to true, layer numbers will be read from prefix
Created in NX8.0.0. More...
 
double RotationAngle ()
 Returns the Rotation Angle - The rotation angle value for transforming the model data
Created in NX12.0.0. More...
 
void SaveSettings (const NXString &filename)
 Saves the save settings - this will save the settings to a file specified
Created in NX6.0.0. More...
 
void SaveSettings (const char *filename)
 Saves the save settings - this will save the settings to a file specified
Created in NX6.0.0. More...
 
NXOpen::DxfdwgImporter::SendLayoutsAs SendLayoutsTo ()
 Returns the SendLayoutsTo command - this will determine the destination for the layout data. More...
 
NXOpen::DxfdwgImporter::SendModelDataAs SendModelDataTo ()
 Returns the SendModelDataTo command - this will determine the destination for model data
Created in NX8.0.0. More...
 
void SetAcadLayoutsToImport (const NXString &layoutNames)
 Sets the AcadLayoutsToImport command - generates a list of ACAD layouts
Created in NX8.0.0. More...
 
void SetAcadLayoutsToImport (const char *layoutNames)
 Sets the AcadLayoutsToImport command - generates a list of ACAD layouts
Created in NX8.0.0. More...
 
void SetAspectRatioOption (NXOpen::DxfdwgImporter::AspectRatioOptions widthFactorMode)
 Sets the autocad aspect ratio calculation method - this will decide the NX Aspect ratio method to be used. More...
 
void SetAvoidUsedNXLayers (bool avoidUsedNXLayers)
 Sets the AvoidUsedNXLayers command - if set to true, the destination part layers will not be used
Created in NX8.0.0. More...
 
void SetConvLayoutData (bool convLayoutData)
 Sets the Import Layout data command - if set to true then Layout data will be imported
Created in NX8.0.0. More...
 
void SetConvLayouts (NXOpen::DxfdwgImporter::ConvLayoutsAs convLayoutsAs)
 Sets the ConvLayouts command - this will determine if all or selected layouts are translated
Created in NX8.0.0. More...
 
void SetConvModelData (bool convModelData)
 Sets the Import model data command - if set to true then Model data will be imported
Created in NX8.0.0. More...
 
void SetCrossHatchMappingFile (const NXString &filename)
 Sets the CrossHatchMappingFile command - definition file for cross hatch mapping
Created in NX8.0.0. More...
 
void SetCrossHatchMappingFile (const char *filename)
 Sets the CrossHatchMappingFile command - definition file for cross hatch mapping
Created in NX8.0.0. More...
 
void SetDestForUnselectedLayer (int destForUnselectedLayer)
 Sets the DestForUnselectedLayer command - number of destination layer
Created in NX8.0.0. More...
 
void SetFacetImport (NXOpen::DxfdwgImporter::FacetImportAs workflow)
 Sets the DXFDWG Facet Import Option - set import Face3D entities option as either JT facets or Convergent bodies
Created in NX12.0.0. More...
 
void SetFileOpenFlag (bool doingFileOpen)
 Sets the FileOpenFlag command - should be set to false if doing file import
Created in NX6.0.0. More...
 
void SetHealBodies (bool healBodies)
 Sets the HealBodies command - if set to true then healing will be attempted on 3D solids
Created in NX11.0.0. More...
 
void SetImportBlockType (NXOpen::DxfdwgImporter::ImportBlocksAs importBlockType)
 Sets the ImportBlockType command - import ACAD Blocks as a group or as a custom symbol
Created in NX8.0.0. More...
 
void SetImportCurvesType (NXOpen::DxfdwgImporter::ImportCurvesAs importCurvesType)
 Sets the ImportCurvesType command - When model data is imported on drawing sheet, this can be set in order to sketch a curve or many curves
Created in NX8.0.0. More...
 
void SetImportDimensionType (NXOpen::DxfdwgImporter::ImportDimensionsAs importDimensionType)
 Sets the ImportDimensionType command - import ACAD dimensions as real dimensions or as group data
Created in NX8.0.0. More...
 
void SetImportPolylineTo (NXOpen::DxfdwgImporter::ImportPolylinesAs importPolylineTo)
 Sets the ImportPolylineTo command - this will determine if polylines will be imported as splines or as lines/arcs. More...
 
void SetImportTo (NXOpen::DxfdwgImporter::ImportToEnum importTo)
 Sets the ImportTo command - this option will determine the destination for imported autocad file. More...
 
void SetImportToTeamcenter (bool importToTeamcenter)
 Sets the ImportToTeamcenter command - if set to true then assembly will be imported into Teamcenter
Created in NX7.0.0. More...
 
void SetInputFile (const NXString &filename)
 Sets the InputFile command - name of a file which is being imported
Created in NX6.0.0. More...
 
void SetInputFile (const char *filename)
 Sets the InputFile command - name of a file which is being imported
Created in NX6.0.0. More...
 
void SetLineFontMappingFile (const NXString &filename)
 Sets the LineFontMappingFile command - definition file for line font mapping
Created in NX8.0.0. More...
 
void SetLineFontMappingFile (const char *filename)
 Sets the LineFontMappingFile command - definition file for line font mapping
Created in NX8.0.0. More...
 
void SetModelScaleFactor (double scaleFactor)
 Sets the model data scale factor - The scale factor for scaling the model data during import
Created in NX11.0.0. More...
 
void SetOptimize (bool optimize)
 Sets the Optimize command - if set to true then attempt will be made to optimize 3D geometry
Created in NX11.0.0. More...
 
void SetOutputFile (const NXString &filename)
 Sets the OutputFile command - if autocad file is imported to the new part then this name will be used to write the output. More...
 
void SetOutputFile (const char *filename)
 Sets the OutputFile command - if autocad file is imported to the new part then this name will be used to write the output. More...
 
void SetProcessingOrder (NXOpen::DxfdwgImporter::ProcessingOrderAs processingOrder)
 Sets the ProcessingOrder command - this option will decide processing order of AutoCAD layers
Created in NX8.0.0. More...
 
void SetReadLayerNumFromPrefix (bool readLayerNumFromPrefix)
 Sets the ReadLayerNumFromPrefix command - if set to true, layer numbers will be read from prefix
Created in NX8.0.0. More...
 
void SetRotationAngle (double rotationAngle)
 Sets the Rotation Angle - The rotation angle value for transforming the model data
Created in NX12.0.0. More...
 
void SetSendLayoutsTo (NXOpen::DxfdwgImporter::SendLayoutsAs sendLayoutsTo)
 Sets the SendLayoutsTo command - this will determine the destination for the layout data. More...
 
void SetSendModelDataTo (NXOpen::DxfdwgImporter::SendModelDataAs sendModelDataTo)
 Sets the SendModelDataTo command - this will determine the destination for model data
Created in NX8.0.0. More...
 
void SetSettingsFile (const NXString &filename)
 Sets the SettingsFile command - definition file for default options
Created in NX6.0.0. More...
 
void SetSettingsFile (const char *filename)
 Sets the SettingsFile command - definition file for default options
Created in NX6.0.0. More...
 
void SetSimplifyGeometry (bool simplify)
 Sets the SimplifyGeometry command - if set to true then attempt will be made to simplify 3D geometry to analytics
Created in NX11.0.0. More...
 
void SetSkipEmptyLayer (bool skipEmptyLayer)
 Sets the SkipEmptyLayer command - if set to true, unreferenced AutoCAD layers will not be transalated
Created in NX8.0.0. More...
 
void SetTemplateFile (const NXString &filename)
 Sets the TemplateFile command - This will be used as template for dxf/dwg import
Created in NX8.0.0. More...
 
void SetTemplateFile (const char *filename)
 Sets the TemplateFile command - This will be used as template for dxf/dwg import
Created in NX8.0.0. More...
 
void SetTextFontMappingFile (const NXString &filename)
 Sets the TextFontMappingFile command - definition file for text font mapping
Created in NX8.0.0. More...
 
void SetTextFontMappingFile (const char *filename)
 Sets the TextFontMappingFile command - definition file for text font mapping
Created in NX8.0.0. More...
 
NXString SettingsFile ()
 Returns the SettingsFile command - definition file for default options
Created in NX6.0.0. More...
 
void SetTranslateUnselectedLayer (bool translateUnselectedLayer)
 Sets the TranslateUnselectedLayer command - if set to true, unselected layers will be translated
Created in NX8.0.0. More...
 
void SetTranslationX (double deltaX)
 Sets the X translation - The delta X value for repositioning the model data
Created in NX11.0.0. More...
 
void SetTranslationY (double deltaY)
 Sets the Y translation - The delta Y value for repositioning the model data
Created in NX11.0.0. More...
 
void SetTranslationZ (double deltaZ)
 Sets the Z translation - The delta Z value for repositioning the model data
Created in NX11.0.0. More...
 
void SetUnits (NXOpen::DxfdwgImporter::UnitsEnum units)
 Sets the Units command - this option will determine the destination part units. More...
 
void SetUnSelectedLayers (const NXString &unselectedLayers)
 Sets the UnSelectedLayers command - sets the list of unselected layers
Created in NX8.0.0. More...
 
void SetUnSelectedLayers (const char *unselectedLayers)
 Sets the UnSelectedLayers command - sets the list of unselected layers
Created in NX8.0.0. More...
 
void SetWorkflow (NXOpen::DxfdwgImporter::WorkflowAs workflow)
 Sets the DXFDWG Import Workflow Option - this will set dxfdwg import workflow to either 3D or Drawing
Created in NX11.0.0. More...
 
bool SimplifyGeometry ()
 Returns the SimplifyGeometry command - if set to true then attempt will be made to simplify 3D geometry to analytics
Created in NX11.0.0. More...
 
bool SkipEmptyLayer ()
 Returns the SkipEmptyLayer command - if set to true, unreferenced AutoCAD layers will not be transalated
Created in NX8.0.0. More...
 
NXString TemplateFile ()
 Returns the TemplateFile command - This will be used as template for dxf/dwg import
Created in NX8.0.0. More...
 
NXString TextFontMappingFile ()
 Returns the TextFontMappingFile command - definition file for text font mapping
Created in NX8.0.0. More...
 
bool TranslateUnselectedLayer ()
 Returns the TranslateUnselectedLayer command - if set to true, unselected layers will be translated
Created in NX8.0.0. More...
 
double TranslationX ()
 Returns the X translation - The delta X value for repositioning the model data
Created in NX11.0.0. More...
 
double TranslationY ()
 Returns the Y translation - The delta Y value for repositioning the model data
Created in NX11.0.0. More...
 
double TranslationZ ()
 Returns the Z translation - The delta Z value for repositioning the model data
Created in NX11.0.0. More...
 
NXOpen::DxfdwgImporter::UnitsEnum Units ()
 Returns the Units command - this option will determine the destination part units. More...
 
NXString UnSelectedLayers ()
 Returns the UnSelectedLayers command - sets the list of unselected layers
Created in NX8.0.0. More...
 
NXOpen::DxfdwgImporter::WorkflowAs Workflow ()
 Returns the DXFDWG Import Workflow Option - this will set dxfdwg import workflow to either 3D or Drawing
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::DexBuilder
bool ProcessHoldFlag ()
 Returns the process hold flag - set to true if user wants to wait until transaltion process gets completed
Created in NX8.0.0. More...
 
void SetProcessHoldFlag (bool doingFileSave)
 Sets the process hold flag - set to true if user wants to wait until transaltion process gets completed
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::DxfdwgImporter to be used when importing the DXF/DWG Data This class is created using NXOpen::DexManager .

NULL object will be returned from Commit()
To create a new instance of this class, use NXOpen::DexManager::CreateDxfdwgImporter
Default values.

Property Value

FacetImport

Jt

HealBodies

0

ImportPolylineTo

Splines

ImportTo

New

ImportToTeamcenter

0

ModelScaleFactor

1.0

Optimize

0

ProcessHoldFlag

0

ProcessingOrder

Alphabetical

RotationAngle

0.0

SimplifyGeometry

0

TranslationX

0.0

TranslationY

0.0

TranslationZ

0.0

Units

SameAsTemplate


Created in NX6.0.0.

Member Enumeration Documentation

NX Aspect ratio calculation options.

Enumerator
AspectRatioOptionsAutomaticCalculation 

automatic calculation

AspectRatioOptionsUseSameAsACADWidthFactor 

use same as acadwidth factor

AspectRatioOptionsUseValueSpecifiedInMappingFile 

use value specified in mapping file

AspectRatioOptionsScaleACADWidthFactorWithSpecifiedValue 

scale acadwidth factor with specified value

Convert latouts option.

Enumerator
ConvLayoutsAsAll 

Convert all layouts.

ConvLayoutsAsSelectedInPreview 

Convert selected layouts.

DXFDWG Facet Import options.

Enumerator
FacetImportAsJt 

JT facets.

FacetImportAsConvergent 

Convergent bodies.

Import Blocks as option option.

Enumerator
ImportBlocksAsGroup 

Convert blocks as group.

ImportBlocksAsCustomSymbol 

Convert blocks as custom symbol.

ImportBlocksAsPart 

Convert blocks as part.

ImportBlocksAsNX2DComponent 

Convert blocks as 2D Component.

Import curves as option.

Enumerator
ImportCurvesAsSketchCurves 

Convert curves as sketch curves.

ImportCurvesAsCurves 

Convert curves as curves.

Import Dimensions as option option.

Enumerator
ImportDimensionsAsReal 

Convert dimensions as real dimensions.

ImportDimensionsAsGroup 

Convert dimensions as group.

Import Polylines as option.

Enumerator
ImportPolylinesAsSplines 

import polylines as splines

ImportPolylinesAsArcLines 

import polylines as arc/lines

Import To option.

Enumerator
ImportToEnumWork 

import dxf/dwg file to work part

ImportToEnumNew 

import dxf/dwg file to new part

Processing Oder of non numeric layers.

Enumerator
ProcessingOrderAsAlphabetical 

Alphabetical.

ProcessingOrderAsObjectCount 

ObjectCount.

Send Layouts data to option.

Enumerator
SendLayoutsAsImportedView 

send Layout data to imported view

SendLayoutsAsDrawingView 

send Layout data to drawing view

Send Model data to option.

Enumerator
SendModelDataAsModeling 

send model data to modeling

SendModelDataAsDrawingView 

send model data to drawing view

SendModelDataAsDrawingSheet 

send model data to drawing sheet

Import To option.

Enumerator
UnitsEnumSameAsTemplate 

units same as template

UnitsEnumMetric 

units millimeters

UnitsEnumEnglish 

units inches

DXFDWG Import Workflow options.

Enumerator
WorkflowAsDrawing 

Drawing workflow.

WorkflowAsThreeD 

3D workflow

Member Function Documentation

NXString NXOpen::DxfdwgImporter::AcadLayoutsToImport ( )

Returns the AcadLayoutsToImport command - generates a list of ACAD layouts
Created in NX8.0.0.



License requirements : None

NXOpen::DxfdwgImporter::AspectRatioOptions NXOpen::DxfdwgImporter::AspectRatioOption ( )

Returns the autocad aspect ratio calculation method - this will decide the NX Aspect ratio method to be used.


Created in NX8.5.0.

License requirements : None

bool NXOpen::DxfdwgImporter::AvoidUsedNXLayers ( )

Returns the AvoidUsedNXLayers command - if set to true, the destination part layers will not be used
Created in NX8.0.0.



License requirements : None

bool NXOpen::DxfdwgImporter::ConvLayoutData ( )

Returns the Import Layout data command - if set to true then Layout data will be imported
Created in NX8.0.0.



License requirements : None

NXOpen::DxfdwgImporter::ConvLayoutsAs NXOpen::DxfdwgImporter::ConvLayouts ( )

Returns the ConvLayouts command - this will determine if all or selected layouts are translated
Created in NX8.0.0.



License requirements : None

bool NXOpen::DxfdwgImporter::ConvModelData ( )

Returns the Import model data command - if set to true then Model data will be imported
Created in NX8.0.0.



License requirements : None

NXString NXOpen::DxfdwgImporter::CrossHatchMappingFile ( )

Returns the CrossHatchMappingFile command - definition file for cross hatch mapping
Created in NX8.0.0.



License requirements : None

int NXOpen::DxfdwgImporter::DestForUnselectedLayer ( )

Returns the DestForUnselectedLayer command - number of destination layer
Created in NX8.0.0.



License requirements : None

NXOpen::DxfdwgImporter::FacetImportAs NXOpen::DxfdwgImporter::FacetImport ( )

Returns the DXFDWG Facet Import Option - set import Face3D entities option as either JT facets or Convergent bodies
Created in NX12.0.0.



License requirements : None

bool NXOpen::DxfdwgImporter::FileOpenFlag ( )

Returns the FileOpenFlag command - should be set to false if doing file import
Created in NX6.0.0.



License requirements : None

bool NXOpen::DxfdwgImporter::HealBodies ( )

Returns the HealBodies command - if set to true then healing will be attempted on 3D solids
Created in NX11.0.0.



License requirements : None

NXOpen::DxfdwgImporter::ImportBlocksAs NXOpen::DxfdwgImporter::ImportBlockType ( )

Returns the ImportBlockType command - import ACAD Blocks as a group or as a custom symbol
Created in NX8.0.0.



License requirements : None

NXOpen::DxfdwgImporter::ImportCurvesAs NXOpen::DxfdwgImporter::ImportCurvesType ( )

Returns the ImportCurvesType command - When model data is imported on drawing sheet, this can be set in order to sketch a curve or many curves
Created in NX8.0.0.



License requirements : None

NXOpen::DxfdwgImporter::ImportDimensionsAs NXOpen::DxfdwgImporter::ImportDimensionType ( )

Returns the ImportDimensionType command - import ACAD dimensions as real dimensions or as group data
Created in NX8.0.0.



License requirements : None

NXOpen::DxfdwgImporter::ImportPolylinesAs NXOpen::DxfdwgImporter::ImportPolylineTo ( )

Returns the ImportPolylineTo command - this will determine if polylines will be imported as splines or as lines/arcs.


Created in NX6.0.0.

License requirements : None

NXOpen::DxfdwgImporter::ImportToEnum NXOpen::DxfdwgImporter::ImportTo ( )

Returns the ImportTo command - this option will determine the destination for imported autocad file.

it can either be new (english/metric) or work part.
Created in NX6.0.0.

License requirements : None

bool NXOpen::DxfdwgImporter::ImportToTeamcenter ( )

Returns the ImportToTeamcenter command - if set to true then assembly will be imported into Teamcenter
Created in NX7.0.0.



License requirements : None

NXString NXOpen::DxfdwgImporter::InputFile ( )

Returns the InputFile command - name of a file which is being imported
Created in NX6.0.0.



License requirements : None

NXString NXOpen::DxfdwgImporter::LineFontMappingFile ( )

Returns the LineFontMappingFile command - definition file for line font mapping
Created in NX8.0.0.



License requirements : None

double NXOpen::DxfdwgImporter::ModelScaleFactor ( )

Returns the model data scale factor - The scale factor for scaling the model data during import
Created in NX11.0.0.



License requirements : None

bool NXOpen::DxfdwgImporter::Optimize ( )

Returns the Optimize command - if set to true then attempt will be made to optimize 3D geometry
Created in NX11.0.0.



License requirements : None

NXString NXOpen::DxfdwgImporter::OutputFile ( )

Returns the OutputFile command - if autocad file is imported to the new part then this name will be used to write the output.


Created in NX6.0.0.

License requirements : None

NXOpen::DxfdwgImporter::ProcessingOrderAs NXOpen::DxfdwgImporter::ProcessingOrder ( )

Returns the ProcessingOrder command - this option will decide processing order of AutoCAD layers
Created in NX8.0.0.



License requirements : None

bool NXOpen::DxfdwgImporter::ReadLayerNumFromPrefix ( )

Returns the ReadLayerNumFromPrefix command - if set to true, layer numbers will be read from prefix
Created in NX8.0.0.



License requirements : None

double NXOpen::DxfdwgImporter::RotationAngle ( )

Returns the Rotation Angle - The rotation angle value for transforming the model data
Created in NX12.0.0.



License requirements : None

void NXOpen::DxfdwgImporter::SaveSettings ( const NXString filename)

Saves the save settings - this will save the settings to a file specified
Created in NX6.0.0.



License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SaveSettings ( const char *  filename)

Saves the save settings - this will save the settings to a file specified
Created in NX6.0.0.



License requirements : None

Parameters
filenamefilename
NXOpen::DxfdwgImporter::SendLayoutsAs NXOpen::DxfdwgImporter::SendLayoutsTo ( )

Returns the SendLayoutsTo command - this will determine the destination for the layout data.


Created in NX8.0.0.

License requirements : None

NXOpen::DxfdwgImporter::SendModelDataAs NXOpen::DxfdwgImporter::SendModelDataTo ( )

Returns the SendModelDataTo command - this will determine the destination for model data
Created in NX8.0.0.



License requirements : None

void NXOpen::DxfdwgImporter::SetAcadLayoutsToImport ( const NXString layoutNames)

Sets the AcadLayoutsToImport command - generates a list of ACAD layouts
Created in NX8.0.0.



License requirements : None

Parameters
layoutNameslayoutnames
void NXOpen::DxfdwgImporter::SetAcadLayoutsToImport ( const char *  layoutNames)

Sets the AcadLayoutsToImport command - generates a list of ACAD layouts
Created in NX8.0.0.



License requirements : None

Parameters
layoutNameslayoutnames
void NXOpen::DxfdwgImporter::SetAspectRatioOption ( NXOpen::DxfdwgImporter::AspectRatioOptions  widthFactorMode)

Sets the autocad aspect ratio calculation method - this will decide the NX Aspect ratio method to be used.


Created in NX8.5.0.

License requirements : None

Parameters
widthFactorModewidthfactormode
void NXOpen::DxfdwgImporter::SetAvoidUsedNXLayers ( bool  avoidUsedNXLayers)

Sets the AvoidUsedNXLayers command - if set to true, the destination part layers will not be used
Created in NX8.0.0.



License requirements : None

Parameters
avoidUsedNXLayersavoidusednxlayers
void NXOpen::DxfdwgImporter::SetConvLayoutData ( bool  convLayoutData)

Sets the Import Layout data command - if set to true then Layout data will be imported
Created in NX8.0.0.



License requirements : None

Parameters
convLayoutDataconvlayoutdata
void NXOpen::DxfdwgImporter::SetConvLayouts ( NXOpen::DxfdwgImporter::ConvLayoutsAs  convLayoutsAs)

Sets the ConvLayouts command - this will determine if all or selected layouts are translated
Created in NX8.0.0.



License requirements : None

Parameters
convLayoutsAsconvlayoutsas
void NXOpen::DxfdwgImporter::SetConvModelData ( bool  convModelData)

Sets the Import model data command - if set to true then Model data will be imported
Created in NX8.0.0.



License requirements : None

Parameters
convModelDataconvmodeldata
void NXOpen::DxfdwgImporter::SetCrossHatchMappingFile ( const NXString filename)

Sets the CrossHatchMappingFile command - definition file for cross hatch mapping
Created in NX8.0.0.



License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetCrossHatchMappingFile ( const char *  filename)

Sets the CrossHatchMappingFile command - definition file for cross hatch mapping
Created in NX8.0.0.



License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetDestForUnselectedLayer ( int  destForUnselectedLayer)

Sets the DestForUnselectedLayer command - number of destination layer
Created in NX8.0.0.



License requirements : None

Parameters
destForUnselectedLayerdestforunselectedlayer
void NXOpen::DxfdwgImporter::SetFacetImport ( NXOpen::DxfdwgImporter::FacetImportAs  workflow)

Sets the DXFDWG Facet Import Option - set import Face3D entities option as either JT facets or Convergent bodies
Created in NX12.0.0.



License requirements : None

Parameters
workflowworkflow
void NXOpen::DxfdwgImporter::SetFileOpenFlag ( bool  doingFileOpen)

Sets the FileOpenFlag command - should be set to false if doing file import
Created in NX6.0.0.



License requirements : None

Parameters
doingFileOpendoingfileopen
void NXOpen::DxfdwgImporter::SetHealBodies ( bool  healBodies)

Sets the HealBodies command - if set to true then healing will be attempted on 3D solids
Created in NX11.0.0.



License requirements : None

Parameters
healBodieshealbodies
void NXOpen::DxfdwgImporter::SetImportBlockType ( NXOpen::DxfdwgImporter::ImportBlocksAs  importBlockType)

Sets the ImportBlockType command - import ACAD Blocks as a group or as a custom symbol
Created in NX8.0.0.



License requirements : None

Parameters
importBlockTypeimportblocktype
void NXOpen::DxfdwgImporter::SetImportCurvesType ( NXOpen::DxfdwgImporter::ImportCurvesAs  importCurvesType)

Sets the ImportCurvesType command - When model data is imported on drawing sheet, this can be set in order to sketch a curve or many curves
Created in NX8.0.0.



License requirements : None

Parameters
importCurvesTypeimportcurvestype
void NXOpen::DxfdwgImporter::SetImportDimensionType ( NXOpen::DxfdwgImporter::ImportDimensionsAs  importDimensionType)

Sets the ImportDimensionType command - import ACAD dimensions as real dimensions or as group data
Created in NX8.0.0.



License requirements : None

Parameters
importDimensionTypeimportdimensiontype
void NXOpen::DxfdwgImporter::SetImportPolylineTo ( NXOpen::DxfdwgImporter::ImportPolylinesAs  importPolylineTo)

Sets the ImportPolylineTo command - this will determine if polylines will be imported as splines or as lines/arcs.


Created in NX6.0.0.

License requirements : None

Parameters
importPolylineToimportpolylineto
void NXOpen::DxfdwgImporter::SetImportTo ( NXOpen::DxfdwgImporter::ImportToEnum  importTo)

Sets the ImportTo command - this option will determine the destination for imported autocad file.

it can either be new (english/metric) or work part.
Created in NX6.0.0.

License requirements : None

Parameters
importToimportto
void NXOpen::DxfdwgImporter::SetImportToTeamcenter ( bool  importToTeamcenter)

Sets the ImportToTeamcenter command - if set to true then assembly will be imported into Teamcenter
Created in NX7.0.0.



License requirements : None

Parameters
importToTeamcenterimporttoteamcenter
void NXOpen::DxfdwgImporter::SetInputFile ( const NXString filename)

Sets the InputFile command - name of a file which is being imported
Created in NX6.0.0.



License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetInputFile ( const char *  filename)

Sets the InputFile command - name of a file which is being imported
Created in NX6.0.0.



License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetLineFontMappingFile ( const NXString filename)

Sets the LineFontMappingFile command - definition file for line font mapping
Created in NX8.0.0.



License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetLineFontMappingFile ( const char *  filename)

Sets the LineFontMappingFile command - definition file for line font mapping
Created in NX8.0.0.



License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetModelScaleFactor ( double  scaleFactor)

Sets the model data scale factor - The scale factor for scaling the model data during import
Created in NX11.0.0.



License requirements : None

Parameters
scaleFactorscalefactor
void NXOpen::DxfdwgImporter::SetOptimize ( bool  optimize)

Sets the Optimize command - if set to true then attempt will be made to optimize 3D geometry
Created in NX11.0.0.



License requirements : None

Parameters
optimizeoptimize
void NXOpen::DxfdwgImporter::SetOutputFile ( const NXString filename)

Sets the OutputFile command - if autocad file is imported to the new part then this name will be used to write the output.


Created in NX6.0.0.

License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetOutputFile ( const char *  filename)

Sets the OutputFile command - if autocad file is imported to the new part then this name will be used to write the output.


Created in NX6.0.0.

License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetProcessingOrder ( NXOpen::DxfdwgImporter::ProcessingOrderAs  processingOrder)

Sets the ProcessingOrder command - this option will decide processing order of AutoCAD layers
Created in NX8.0.0.



License requirements : None

Parameters
processingOrderprocessingorder
void NXOpen::DxfdwgImporter::SetReadLayerNumFromPrefix ( bool  readLayerNumFromPrefix)

Sets the ReadLayerNumFromPrefix command - if set to true, layer numbers will be read from prefix
Created in NX8.0.0.



License requirements : None

Parameters
readLayerNumFromPrefixreadlayernumfromprefix
void NXOpen::DxfdwgImporter::SetRotationAngle ( double  rotationAngle)

Sets the Rotation Angle - The rotation angle value for transforming the model data
Created in NX12.0.0.



License requirements : None

Parameters
rotationAnglerotationangle
void NXOpen::DxfdwgImporter::SetSendLayoutsTo ( NXOpen::DxfdwgImporter::SendLayoutsAs  sendLayoutsTo)

Sets the SendLayoutsTo command - this will determine the destination for the layout data.


Created in NX8.0.0.

License requirements : None

Parameters
sendLayoutsTosendlayoutsto
void NXOpen::DxfdwgImporter::SetSendModelDataTo ( NXOpen::DxfdwgImporter::SendModelDataAs  sendModelDataTo)

Sets the SendModelDataTo command - this will determine the destination for model data
Created in NX8.0.0.



License requirements : None

Parameters
sendModelDataTosendmodeldatato
void NXOpen::DxfdwgImporter::SetSettingsFile ( const NXString filename)

Sets the SettingsFile command - definition file for default options
Created in NX6.0.0.



License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetSettingsFile ( const char *  filename)

Sets the SettingsFile command - definition file for default options
Created in NX6.0.0.



License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetSimplifyGeometry ( bool  simplify)

Sets the SimplifyGeometry command - if set to true then attempt will be made to simplify 3D geometry to analytics
Created in NX11.0.0.



License requirements : None

Parameters
simplifysimplify
void NXOpen::DxfdwgImporter::SetSkipEmptyLayer ( bool  skipEmptyLayer)

Sets the SkipEmptyLayer command - if set to true, unreferenced AutoCAD layers will not be transalated
Created in NX8.0.0.



License requirements : None

Parameters
skipEmptyLayerskipemptylayer
void NXOpen::DxfdwgImporter::SetTemplateFile ( const NXString filename)

Sets the TemplateFile command - This will be used as template for dxf/dwg import
Created in NX8.0.0.



License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetTemplateFile ( const char *  filename)

Sets the TemplateFile command - This will be used as template for dxf/dwg import
Created in NX8.0.0.



License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetTextFontMappingFile ( const NXString filename)

Sets the TextFontMappingFile command - definition file for text font mapping
Created in NX8.0.0.



License requirements : None

Parameters
filenamefilename
void NXOpen::DxfdwgImporter::SetTextFontMappingFile ( const char *  filename)

Sets the TextFontMappingFile command - definition file for text font mapping
Created in NX8.0.0.



License requirements : None

Parameters
filenamefilename
NXString NXOpen::DxfdwgImporter::SettingsFile ( )

Returns the SettingsFile command - definition file for default options
Created in NX6.0.0.



License requirements : None

void NXOpen::DxfdwgImporter::SetTranslateUnselectedLayer ( bool  translateUnselectedLayer)

Sets the TranslateUnselectedLayer command - if set to true, unselected layers will be translated
Created in NX8.0.0.



License requirements : None

Parameters
translateUnselectedLayertranslateunselectedlayer
void NXOpen::DxfdwgImporter::SetTranslationX ( double  deltaX)

Sets the X translation - The delta X value for repositioning the model data
Created in NX11.0.0.



License requirements : None

Parameters
deltaXdeltax
void NXOpen::DxfdwgImporter::SetTranslationY ( double  deltaY)

Sets the Y translation - The delta Y value for repositioning the model data
Created in NX11.0.0.



License requirements : None

Parameters
deltaYdeltay
void NXOpen::DxfdwgImporter::SetTranslationZ ( double  deltaZ)

Sets the Z translation - The delta Z value for repositioning the model data
Created in NX11.0.0.



License requirements : None

Parameters
deltaZdeltaz
void NXOpen::DxfdwgImporter::SetUnits ( NXOpen::DxfdwgImporter::UnitsEnum  units)

Sets the Units command - this option will determine the destination part units.


Created in NX8.0.0.

License requirements : None

Parameters
unitsunits
void NXOpen::DxfdwgImporter::SetUnSelectedLayers ( const NXString unselectedLayers)

Sets the UnSelectedLayers command - sets the list of unselected layers
Created in NX8.0.0.



License requirements : None

Parameters
unselectedLayersunselectedlayers
void NXOpen::DxfdwgImporter::SetUnSelectedLayers ( const char *  unselectedLayers)

Sets the UnSelectedLayers command - sets the list of unselected layers
Created in NX8.0.0.



License requirements : None

Parameters
unselectedLayersunselectedlayers
void NXOpen::DxfdwgImporter::SetWorkflow ( NXOpen::DxfdwgImporter::WorkflowAs  workflow)

Sets the DXFDWG Import Workflow Option - this will set dxfdwg import workflow to either 3D or Drawing
Created in NX11.0.0.



License requirements : None

Parameters
workflowworkflow
bool NXOpen::DxfdwgImporter::SimplifyGeometry ( )

Returns the SimplifyGeometry command - if set to true then attempt will be made to simplify 3D geometry to analytics
Created in NX11.0.0.



License requirements : None

bool NXOpen::DxfdwgImporter::SkipEmptyLayer ( )

Returns the SkipEmptyLayer command - if set to true, unreferenced AutoCAD layers will not be transalated
Created in NX8.0.0.



License requirements : None

NXString NXOpen::DxfdwgImporter::TemplateFile ( )

Returns the TemplateFile command - This will be used as template for dxf/dwg import
Created in NX8.0.0.



License requirements : None

NXString NXOpen::DxfdwgImporter::TextFontMappingFile ( )

Returns the TextFontMappingFile command - definition file for text font mapping
Created in NX8.0.0.



License requirements : None

bool NXOpen::DxfdwgImporter::TranslateUnselectedLayer ( )

Returns the TranslateUnselectedLayer command - if set to true, unselected layers will be translated
Created in NX8.0.0.



License requirements : None

double NXOpen::DxfdwgImporter::TranslationX ( )

Returns the X translation - The delta X value for repositioning the model data
Created in NX11.0.0.



License requirements : None

double NXOpen::DxfdwgImporter::TranslationY ( )

Returns the Y translation - The delta Y value for repositioning the model data
Created in NX11.0.0.



License requirements : None

double NXOpen::DxfdwgImporter::TranslationZ ( )

Returns the Z translation - The delta Z value for repositioning the model data
Created in NX11.0.0.



License requirements : None

NXOpen::DxfdwgImporter::UnitsEnum NXOpen::DxfdwgImporter::Units ( )

Returns the Units command - this option will determine the destination part units.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::DxfdwgImporter::UnSelectedLayers ( )

Returns the UnSelectedLayers command - sets the list of unselected layers
Created in NX8.0.0.



License requirements : None

NXOpen::DxfdwgImporter::WorkflowAs NXOpen::DxfdwgImporter::Workflow ( )

Returns the DXFDWG Import Workflow Option - this will set dxfdwg import workflow to either 3D or Drawing
Created in NX11.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.